Hinweis: Das Forum wird geschlossen! Neue Registrierungen sind nicht mehr möglich!

 Zurück zu Pro-Linux   Foren-Übersicht   FAQ     Suchen    Mitgliederliste
"kompatibel"?

 
Dieses Forum ist gesperrt, Sie können keine Beiträge editieren, schreiben oder beantworten.   Dieses Thema ist gesperrt, Sie können keine Beiträge editieren oder beantworten.    Pro-Linux Foren-Übersicht -> Linux-Forum (alt)
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
RudiSign
Gast





BeitragVerfasst am: 25. Feb 2000 2:53   Titel: "kompatibel"?

Hallo zusammen!
Seit ein paar Wochen hab ich jetzt Linux drauf und versuch mich "durchzuwurschteln".
Schlagt mich nicht, wenn ich jetzt eine vielleicht blöde Frage stelle:
ich hab die Suse Distri. 6.3,
wenn ich jetzt Software installieren will, (rpms--die krieg ich grad noch geregelt)ist es dann egal, ob es ein "i.386.rpm" oder ein"i.586.rpm"-Paket ist??? Also: sind die "kompatibel"? (Weil die scheinen ja unterschiedliche libs zu benutzen; jedenfalls hab ich mir gestern abend erfolgreich mein Linux mit soner komischen libjpeg.60 geschrottet)
Für eure Hilfe wär ich sehr dankbar,
Rudi
 

stephan



Anmeldungsdatum: 05.08.1999
Beiträge: 427
Wohnort: nähe Köln

BeitragVerfasst am: 25. Feb 2000 8:47   Titel: Re: <kein Betreff>

Hallo !

Es kommt darauf an, was du für ein System hast. i386 und i586 laufen auf Pentium und AMD-Systemen. Für i686 benötigst du allerdings eine PentiumII oder höher.

Greetz ... Stephan !
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen

RudiSign
Gast





BeitragVerfasst am: 25. Feb 2000 14:19   Titel: rpms

Danke Stephan,
habe einen AMD 333 mhz, demzufolge ist es also egal, welche "i"rpms ich benutze??-- die kommen sich mit ihren Bilbliotheken auch nicht irgendwie quer? (das ist gerade meine Hauptsorge)
greetz, Rudi
 

Entfernt



Anmeldungsdatum: 22.07.1999
Beiträge: 149

BeitragVerfasst am: 25. Feb 2000 17:21   Titel: Re:

nein, der AMD K6 (und auch K6-2, wie ich ihn am laufen habe) sind i586... also sind i686 nicht gerade beste wahl...

selbstcompilieren ist übrigens immer besser
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden

scout
Gast





BeitragVerfasst am: 25. Feb 2000 19:59   Titel: Re:

jaja..selbstkompilieren ist immer besser *kritischerblickzuRvB*

Rudi:
auf der folgenden seite kannst du sehr viele suse6.3 rpms downloaden, die wenigstens funzen.
übrigens: soviel ich weiss, kannst du nicht einfach irgendwelche rpm pakete einspielen (z.B. red hat rpms) sondern du solltest dich an für suse6.3 gemachte rpms halten.
.tar.gz sind für alle gebräuchlich, die kannst du immer nehmen.

stimmt doch leute oooder ;o) ?

gruss - mir

ps: mit libs pass lieber auf....ich rate dir nur: wenn du nicht genau weisst was du tust, verwende dazu nur suse6.3 rpms, nix anderes. ich auf jeden fall fahre gut damit.
 

scout
Gast





BeitragVerfasst am: 25. Feb 2000 20:01   Titel: Re:

mensch bin ich doof...

hier der link rudi:

http://rpmfind.net/linux/RPM/SuSE_Linux_6.3_(i386).html
 

Entfernt



Anmeldungsdatum: 22.07.1999
Beiträge: 149

BeitragVerfasst am: 26. Feb 2000 8:04   Titel: Re:

Jetzt zeig ich mal warum selberkompilieren besser ist:
nehmen wir mal an du hast ein rpm, das rpm brauchst meinetwegen libjpeg6b, weil es damit kompiliert wurde, du hast jedoch libjpeg6a... und was machst du? libjpeg6a runterhauen, libjpeg6b draufmachen, das rpm installieren. und geschafft DENKSTE! denn alle anderen Programme, die die libjpeg brauchen laufen jetzt nicht mehr, weil sie mit libjpeg6a kompiliert wurden
Man kann zwar symlings von den neuen auf die alten libs machen, aber bei anderen situationen hilft auch das nicht. Hättest du das Programm, daß in der rpm steckte selber kompiliert hätte es automatisch die libjpeg6a benutzt und das programm wäre auch mit dieser gelaufen. Außerdem sind RPMs nie an das System angepaßt...

cu
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden

Beiträge vom vorherigen Thema anzeigen:   
     Pro-Linux Foren-Übersicht -> Linux-Forum (alt) Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehen Sie zu:  

Powered by phpBB © phpBB Group
pro_linux Theme © 2004 by Mandaxy